SuperLU: SRC/scomplex.c File Reference

SuperLU 5.2.0

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
scomplex.c File Reference

Common arithmetic for complex type. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include "slu_scomplex.h"`
Include dependency graph for scomplex.c:

## Functions
void | c_div (complex *c, complex *a, complex *b)
| Complex Division c = a/b. More...
double | c_abs (complex *z)
| Returns sqrt(z.r^2 + z.i^2) More...
double | c_abs1 (complex *z)
| Approximates the abs. Returns abs(z.r) + abs(z.i) More...
void | c_exp (complex *r, complex *z)
| Return the exponentiation. More...
void | r_cnjg (complex *r, complex *z)
| Return the complex conjugate. More...
double | r_imag (complex *z)
| Return the imaginary part. More...
complex | c_sgn (complex *z)
| SIGN functions for complex number. Returns z/abs(z) More...
complex | c_sqrt (complex *z)
| Square-root of a complex number. More...

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    – SuperLU routine (version 2.0) –
    Univ. of California Berkeley, Xerox Palo Alto Research Center,
    and Lawrence Berkeley National Lab.
    November 15, 1997

    This file defines common arithmetic operations for complex type.

## Function Documentation

double c_abs | ( | complex * | z | ) |

double c_abs1 | ( | complex * | z | ) |

void c_div | ( | complex * | c,
|  | complex * | a,
|  | complex * | b
| ) |  |

void c_exp | ( | complex * | r,
|  | complex * | z
| ) |  |

complex c_sgn | ( | complex * | z | ) |

Here is the call graph for this function:

complex c_sqrt | ( | complex * | z | ) |

void r_cnjg | ( | complex * | r,
|  | complex * | z
| ) |  |

double r_imag | ( | complex * | z | ) |